# Datasets

The datasets supported by the AI Explainability 360 toolkit are listed below. Please follow the instructions for each dataset. 


1. FICO HELOC Dataset

   Source: <a href="https://community.fico.com/s/explainable-machine-learning-challenge">https://community.fico.com/s/explainable-machine-learning-challenge</a>

   Download instructions: See [download form](https://community.fico.com/s/explainable-machine-learning-challenge?tabset-3158a=2). After download, place the file `heloc_dataset.csv` in the folder [aix360/data/heloc_data/](./heloc_data)

2. Medical Expenditure Panel Survey Data

   Source: <a href="https://meps.ahrq.gov/mepsweb/"><https://meps.ahrq.gov/mepsweb/></a>
   
   Download instructions: See [meps_data/README.md](meps_data/README.md)

3. NHANES CDC dataset
   
   Source: https://wwwn.cdc.gov/nchs/nhanes/search/datapage.aspx?Component=Questionnaire&CycleBeginYear=2013
   
   No download required, appropriate dataset class downloads the dataset from web. 

3. Fashion MNIST dataset
   
   source: https://github.com/zalandoresearch/fashion-mnist      
   
   No download required, appropriate dataset class downloads the dataset from web.    
   
4. MNIST dataset

   Source: http://yann.lecun.com/exdb/mnist/
   
   No download required, appropriate dataset class downloads the dataset from web.    
   
5. CIFAR dataset
   
   Source: https://www.cs.toronto.edu/~kriz/cifar.html
   
   No download required, appropriate dataset class downloads the dataset from web.    
   
5. CelebA dataset

   Source: http://mmlab.ie.cuhk.edu.hk/projects/CelebA.html
   
   No download required, appropriate dataset class downloads the dataset from web.    
   
6. Synthetic dataset to predict employee attrition

   Source: Generated [aix360/data/ted_data](./ted_data)

   No download required, appropriate python code generates the data. 

7. e-SNLI dataset

   Source: https://www.eraserbenchmark.com/zipped/esnli.tar.gz 

   Follow download instructions in the [[nbviewer](https://nbviewer.jupyter.org/github/IBM/AIX360/tree/master/examples/matching/)]






